Subject: Re: bug#14421: Unable to build Guile 2.0.9

From: Andy Wingo <[email-masked]>
Date: Tue, 21 May 2013 21:51:01 +0200

Hi,

Please keep the bug in the Cc.  Thanks.

On Tue 21 May 2013 17:35, Douglas Mencken <[email-masked]> writes:

>> What platform is this on?
> GNU/uClibc/Linux
>> Have you successfully compiled Guile in the past?
> Yes. 
> guile v2.0.2-54-g0b4f771-powerpc 
>> What is your locale?  If you try with LC_ALL=C does it work?
> Busybox has no "locale". I just have no such binary.
>> I wonder if this is related somehow with the gnulib regexp update we
> did recently.
> I updated error message for git. It is now
>   GEN      guile-procedures.texi
> Assertion failure: reclaim.c:244

reclaim.c is in libgc.  This means you have a broken libgc installation.

Andy

> assertion failure
> /bin/bash: line 1: 26919 Broken pipe             cat alist.doc arbiters.doc array-handle.doc array-map.doc arrays.doc async.doc backtrace.doc boolean.doc bitvectors.doc bytevectors.doc chars.doc control.doc continuations.doc debug.doc deprecated.doc deprecation.doc dynl.doc dynwind.doc eq.doc error.doc eval.doc evalext.doc expand.doc extensions.doc feature.doc filesys.doc fluids.doc foreign.doc fports.doc gc-malloc.doc gc.doc gettext.doc generalized-arrays.doc generalized-vectors.doc goops.doc gsubr.doc guardians.doc hash.doc hashtab.doc hooks.doc i18n.doc init.doc ioext.doc keywords.doc list.doc load.doc macros.doc mallocs.doc memoize.doc modules.doc numbers.doc objprop.doc options.doc pairs.doc ports.doc print.doc procprop.doc procs.doc promises.doc r6rs-ports.doc random.doc rdelim.doc read.doc root.doc rw.doc scmsigs.doc script.doc simpos.doc smob.doc sort.doc srcprop.doc srfi-1.doc srfi-4.doc srfi-13.doc srfi-14.doc srfi-60.doc stackchk.doc stacks.doc stime.doc strings.doc strorder.doc strports.doc struct.doc symbols.doc threads.doc throw.doc trees.doc uniform.doc values.doc variable.doc vectors.doc version.doc vports.doc weak-set.doc weak-table.doc weak-vector.doc dynl.doc posix.doc net_db.doc socket.doc regex-posix.doc
>      26920 Aborted                 | GUILE_AUTO_COMPILE=0 ../meta/uninstalled-env guild snarf-check-and-output-texi > guile-procedures.texi
> make[3]: *** [guile-procedures.texi] Error 1
>
>
>
> On Mon, May 20, 2013 at 2:44 PM, Andy Wingo <[email-masked]> wrote:
>
>     Hi Douglas,
>     
>     
>     On Sat 18 May 2013 23:05, Douglas Mencken <[email-masked]>
>     writes:
>     
>     > I'm trying to build Guile release 2.0.9, but it prints errors
>     instead of
>     > successful build:
>     > http://manulix.wikidot.com/issues#toc3
>     >
>     >   SNARF  regex-posix.doc
>     >   GEN      guile-procedures.texi
>     > Backtrace:
>     > In unknown file:
>     >    ?: 12 [apply-smob/1 #<boot-closure 108966c0 (_ _ _)> #t ...]
>     >    ?: 11 [apply-smob/1 #<catch-closure 10942570>]
>     >    ?: 10 [primitive-eval ((@ # %) (begin # # #))]
>     >    ?: 9 [primitive-load
>     "/root/build-farm/guile-v2.0.9.builddir/meta/guild"]
>     >    ?: 8 [primitive-eval (define-module (guild) #:use-module ...)]
>     >    ?: 7 [apply-smob/1 #<boot-closure 10998ce0 (_)> (define-module
>     # # # ...)]
>     >    ?: 6 [apply-smob/1 #<boot-closure 10acea10 ()>]
>     >    ?: 5 [apply-smob/1 #<boot-closure 10ace9f0 ()>]
>     >    ?: 4 [apply-smob/1 #<boot-closure 10ad1c70 ()>]
>     >    ?: 3 [primitive-eval #<struct:1080ac78 pwpwpwpwpw 10949b20>]
>     >    ?: 2 [primitive-load-path "ice-9/getopt-long" #<boot-closure
>     1081e430 ()>]
>     >    ?: 1 [primitive-eval (define short-opt-rx (make-regexp "^-(
>     [a-zA-Z]+)(.*)"))]
>     >    ?: 0 [make-regexp "^-([a-zA-Z]+)(.*)"]
>     >
>     > ERROR: make[3]: *** [guile-procedures.texi] Error 1
>     
>     
>     What platform is this on?  Have you successfully compiled Guile in
>     the
>     past?
>     
>     What is your locale?  If you try with LC_ALL=C does it work?
>     
>     I wonder if this is related somehow with the gnulib regexp update we
>     did
>     recently.
>     
>     Andy
>     
>     --
>     http://wingolog.org/
>     
>

-- 
http://wingolog.org/